variables:
  RELEASE_DIR: "public/release_target_101"

pages:
  stage: deploy
  tags: 
    - docker # use shared runner
  image: maven:3.6.3-adoptopenjdk-15
  script:
    - mvn --version
    - mvn clean install   # build p2 repo
    - rm -rf public
    - mkdir -p public
    - cp de.hftstuttgart.energycomonents.application.product.target/products/*.zip public
  artifacts:
    paths:
      - public
  only:
  - master
